
import {  makeStyles } from '@material-ui/core/styles';
import color from '../Components/styles/color';
/* To use a different background on the mobile view, just update mobile-bg.png file that can be found in src/pages/Brands folder. */
import bgImage from '../Brands/mobile-bg.png'

/*
 * Remember: Mobile first.
 */ 
const styles = (theme) => ({

    /* get all the screen */
    page:{
        display: 'flex',
        width: '100vw',
        paddingBottom: '24px',
        backgroundColor: color.palette.white,
        alignItems: 'center',
        justifyContent: 'center',
        flexDirection: 'row',
        backgroundImage: `url(` + bgImage + `)`,
        backgroundRepeat: 'no-repeat',
        backgroundSize: '100% 156px',

        [theme.breakpoints.up("md")]: {
            backgroundImage: 'none',
        }
    },

    logoSpace: {
        display: 'flex',
        width: '100%',
        height: '120px',
        [theme.breakpoints.up("md")]: {
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'center',
            width: '100%',
            height: '72px',
            marginBottom: '16px',
            marginTop: '16px',
        }
    },

    desktopLogo: {
        display:'none',
        [theme.breakpoints.up("md")]: {
            display:'flex',
            alignItems: 'center',
            justifyContent: 'center',
        }
    },

    mobileLogo: {
        display:'flex',
        alignItems: 'center',
        marginLeft: '24px',
        marginTop: '16px',
        justifyContent: 'flex-start',
        [theme.breakpoints.up("md")]: {
            display:'none', 
        }
    },


    root: {
        display: 'flex',
        flexDirection: 'column', 
        aligntItems: 'flex-start',
        justifyContent: 'flex-start',
      /*  boxSizing: 'border-box', */
        overflow: 'visible',
        width: '100%',
        minHeight: '300px',
        height: 'auto',
       // height:'100vh',
         backgroundColor: 'transparent',
        
      
        [theme.breakpoints.up("md")]: {
            overflow: 'hidden',
            flexDirection: 'row', /* on Desktop it is column */
            width: '768px',
            minHeight: '50px', /* 580px */
            
            border: '1px solid ' + color.palette.contentBorder,
            borderRadius: '10px',
            boxShadow: '0 0px 14px rgba(0, 0, 0, 0.05)',  
        },
    },
    

    content: {
        width: '200px',
        height: '900px',
        backgroundColor: '#FF0000',
    },      
  
  });

export default styles;
export const useStyle = makeStyles(styles);
