import React from 'react';
import { useState, useEffect } from 'react';
import PropTypes from "prop-types";
import Grid from '@material-ui/core/Grid';
import classNames from 'classnames';
import ProductCard from '../../Components/ProductCard';
import { useStyle } from './productDetails.styles';

function ProductDetails(props){

    const {
        options,
        selectedProduct,
        selectProductById,
    } = props;

    const classes = useStyle();

    
    const [_options, setOptions] = useState(options);

    useEffect(() => {
       setOptions(options);
    }, [options])

    function handleSelect(item) {
        selectProductById(item.id);
    }

    return (
        <Grid container item className={classes.root}>
            <Grid item className={classNames([classes.cardMargin])} >
                <ProductCard 
                    name={selectedProduct.productName}
                    details={selectedProduct.details}
                    price={selectedProduct.price}
                    recommended={selectedProduct.recommended}
                    paymentTerms={selectedProduct.paymentTerms}
                    options={_options}
                    onSelectItem={handleSelect}
                />
            </Grid>
        </Grid>
    )
}

ProductDetails.propTypes = {
    options: PropTypes.array,
    selectedProduct: PropTypes.object,
    selectProductById: PropTypes.instanceOf,
};

ProductDetails.defaultProps = {
    options:[],
    selectProductById:()=>{},
    selectedProduct: {
        id: 'P01234561',
        productName: 'Premiere League Monthly Subscrpition',
        details: '30 days free for new user.',
        price: '$14.99',
    },
};

export default ProductDetails;