import { useState, useEffect } from 'react';

function useProductSelect( { dataProvider} ) {
 
    const [products, setProducts] = useState(dataProvider);
    const [selectedProduct, setSelectedProduct]  = useState(dataProvider && dataProvider.length ? dataProvider[0] : {});   
    const [productId, selectProductById] = useState('');

    function selectProductForCheckout() {
        const newProducts = products.map((product) => {
            if(product.id ===  productId) {
                setSelectedProduct(product);
                if( typeof window.onSelectCheckoutProduct === 'function') {
                    window.onSelectCheckoutProduct(product);
                }
                return {
                    ...product,
                    selected: true,
                };
            }

            return {
                ...product, 
                selected: false,
            };
        })
        setProducts(newProducts);
    } 

    useEffect(()=> {
        setProducts(dataProvider);
        var selectedProduct = dataProvider.find( (product) => product.selected === true);
        if (selectedProduct !== undefined) {
            var productId= selectedProduct.id;
            selectProductById(productId);
        }
            
        // eslint-disable-next-line react-hooks/exhaustive-deps 
    }, [dataProvider]);

 
    useEffect(()=> {
        if (productId) {
            selectProductForCheckout();
            window.selectedProduct = selectedProduct;
        }
    // eslint-disable-next-line react-hooks/exhaustive-deps 
    }, [productId]);
 

    return {
        selectedProduct,
        products,
        selectProductById,
    }
}

export default useProductSelect;