import { makeStyles } from "@material-ui/core/styles";
import color from "../styles/color";
import hyperSignature from '../../Brands/hyper.button.gif';

const useStyles = makeStyles(theme => ({

  root: {
    height: "50px",
    fontSize: "14px",
    lineHeight: "24px",
    textAlign: "center",
    textTransform: "none",
    padding: theme.spacing(2),
    fontWeight: 600,
    boxShadow: "none",
    
    "& .MuiSvgIcon-root": {
      marginRight: theme.spacing(1)
    },
    "&:hover": {
      "&$primary:disabled": {
        backgroundColor: color.buttons.primaryDisable,
      }
    },

    [theme.breakpoints.down("lg")]: {
      padding: theme.spacing(2, 1),
      "& .MuiTypography-root": {
        fontSize: "14px",
        lineHeight: "24px"
      }
    },

    [theme.breakpoints.down("md")]: {
      padding: theme.spacing(2)
    },
    "&.smallBtn":{
      padding: theme.spacing(0.875, 2)
    }
  },

  hyper: {
    backgroundColor: 'transparent',
 
    backgroundImage: `url(` + hyperSignature + `)`,
    backgroundRepeat: 'no-repeat',
    backgroundSize: '100% 52px',

    border: "0px none transparent",
    color: color.palette.white,
    height: '52px',
    fontSize: "12px",
    textAlign: "center",
    textTransform: "none",
    padding: theme.spacing(0),
    fontWeight: 400,

    "& span": {
      justifyContent: "center"
    },

    "&:hover": {
      color: color.buttons.thirdPartyHover,
      backgroundColor: 'transparent',
    },

    "&:disabled": {
      border: "1px solid",
      borderColor: color.palette.placeHolderGrey,
      color: color.palette.placeHolderGrey
    },
 
    [theme.breakpoints.down("md")]: {
      
    }
  },

  text: {

  },



  link: {
  
    backgroundColor: 'transparent',
    border: "0px none transparent",
    color: color.buttons.thirdParty,
    height: '20px',
    lineHeight: "20px",
    fontSize: "12px",
    textAlign: "center",
    textTransform: "none",
    padding: theme.spacing(0),
    fontWeight: 400,

    "& span": {
      justifyContent: "center"
    },

    "&:hover": {
      color: color.buttons.thirdPartyHover,
      backgroundColor: 'transparent',
    },
    "&:disabled": {
      border: "1px solid",
      borderColor: color.palette.placeHolderGrey,
      color: color.palette.placeHolderGrey
    },
 
    [theme.breakpoints.down("md")]: {
      
    }
  },



  linkBold: {
    backgroundColor: 'transparent',
    border: "0px none transparent",
    color: color.buttons.thirdParty,
    height: '20px',
    lineHeight: "20px",
    fontSize: "12px",
    textAlign: "center",
    textTransform: "none",
    padding: theme.spacing(0),
    fontWeight: 600,

    "& span": {
      justifyContent: "center"
    },

    "&:hover": {
      color: color.buttons.thirdPartyHover,
      backgroundColor: 'transparent',
    },
    "&:disabled": {
      border: "1px solid",
      borderColor: color.palette.placeHolderGrey,
      color: color.palette.placeHolderGrey
    },
 
    [theme.breakpoints.down("md")]: {
      
    }
  },

  primary: {
    backgroundColor: color.buttons.primary,
    color: color.palette.white,

    "&:hover": {
      backgroundColor: color.buttons.primaryHover
    },

    "&:disabled": {
        backgroundColor: color.buttons.primaryDisable,
        color: color.buttons.labelDisable,
        "&:hover": {
          backgroundColor: color.buttons.primaryDisable,
        }
    }
  },

  secondary: {
    padding: theme.spacing(1.875, 2),
    backgroundColor: 'transparent',
    borderColor: color.buttons.secondary,
    border: "1px solid",
    color: color.buttons.secondary,

    "&:hover": {
      backgroundColor: color.buttons.secondaryHover
    },

    "&:disabled": {
      border: "1px solid",
      borderColor: color.palette.placeHolderGrey,
      color: color.palette.placeHolderGrey
    },

    [theme.breakpoints.down("lg")]: {
      padding: theme.spacing(1.875, 0.875),
    },
    [theme.breakpoints.down("md")]: {
      padding: theme.spacing(1.875, 2),
    }
  },


  thirdParty: {
    backgroundColor: color.buttons.thirdParty,
    color: color.buttons.labelEnable,

    "&:hover": {
        backgroundColor: color.buttons.thirdPartyHover
    },

    "&:disabled": {
        backgroundColor: color.buttons.thirdPartyDisable,
        color: color.buttons.labelDisable,
        "&:hover": {
          backgroundColor: color.buttons.thirdPartyDisable,
        }
    }
  },

  textInput: {
    backgroundColor: 'transparent',
    color: color.buttons.link,
    fontSize: '11px',
    lineHeight: '16px',
    fontWeight: 500,
    textAlign: 'right',

    height: "12px",
    width: '64px',
    textTransform: "none",
    padding: 0,
    margin: 0,
   
    "&:hover": {
      backgroundColor: 'transparent'
    },

  },

  iconButton: {
    padding: theme.spacing(1.375, 2),
    backgroundColor: 'transparent',
    borderColor: color.buttons.primary,
    border: "1px solid",
    color: color.buttons.primary,
    "& span": {
      justifyContent: "left"
    },
    "&:hover": {
      backgroundColor: color.buttons.primaryHover
    },
    "&:disabled": {
      border: "1px solid",
      borderColor: color.palette.placeHolderGrey,
      color: color.palette.placeHolderGrey
    },

    [theme.breakpoints.down("lg")]: {
      padding: theme.spacing(1.375, 1)
    },
    [theme.breakpoints.down("md")]: {
      padding: theme.spacing(1.375, 2)
    }
  },


  moreOptions : {

    backgroundColor: 'transparent',
    border: "0px none #FFFFF",
    color: color.buttons.moreOptions,

    "& span": {
      justifyContent: "left"
    },
    
    "&:hover": {
      backgroundColor: 'transparent'
    },

    "&:disabled": {
       
    },

    [theme.breakpoints.down("md")]: {
      
    }
  },

  moreOptionsText: {
    padding: 0,
  },

  moreOptionsRoot: {
    height: "24px",
    fontSize: "12px",
    lineHeight: "18px",
    textAlign: "left",
    textTransform: "none",
    fontWeight: 500,
    boxShadow: "none",
    
    "& .MuiSvgIcon-root": {
      marginLeft: theme.spacing(1)
    },

    "&:hover": {
      "&$primary:disabled": {
        backgroundColor: 'transparent',
      }
    },
 
    "&.smallBtn":{
      padding: theme.spacing(0.875, 2)
    }
  },

 
}));

export default useStyles;
