import React from 'react';
import MuiDialog  from '@material-ui/core/Dialog'

function Dialog(props) {

    const {
        open,
        children,
        title,
        onClose,
        ...otherProps
    } = props;
     
    return (
        <MuiDialog 
            open={open}
            onClose={onClose}
            {...otherProps}
        >
            { children }
        </MuiDialog>
    )
}

Dialog.defaultProps = {
    title: "Dialog Title",
}


export default Dialog;