
import {  makeStyles } from '@material-ui/core/styles';
import color from '../Components/styles/color';
/*
 * Remember: Mobile first.
 */ 
const styles = (theme) => {

    return {    
        /* passing props on change to resize the height of parent */
        root: (props) => { 
            const height =  props.size ? (props.size.height + 65) + 'px' : '620px';
            return {
                
                display: 'flex',
                width: '100%',
                height: height,
                backgroundColor: color.palette.backgroundGrey,
                alignItems: 'flex-start',
                justifyContent: 'center',
                position:'relative',

                [theme.breakpoints.up("md")]: (props) => ({
                    width: '418px',
                    height:  props.size ? (props.size.height + 65) + 'px' : '620px',
                    minHeight: '620px',
                  
                    paddingLeft: theme.spacing() * 4,
                    paddingRight: theme.spacing() * 4,
                    paddingTop: theme.spacing() * 4,
                    paddingBottom: 0,
                    
                }),
                
                "& div[id*=zoid-hyper-widget]":{
                    width:'100%!important',
                    height:'100%!important',
                
                },

                "& iframe": {
                    width: '100%',
                    border: 'none',
                    height: '100%',
                },
            };
        },




    }
};
export const useStyle = makeStyles(styles);
export default styles;

