import React, { useEffect } from 'react';
import PropTypes from "prop-types";
import Axios from 'axios';
import Grid from '@material-ui/core/Grid';
import Util from '../../core/utilities/util';
import AppConstants from '../../core/constants';

import Dialog from '../Components/Dialog';
import CompleteGif from '../Brands/Complete';
import Text, {TextType} from '../Components/Text';
import Button, {ButtonTypes} from '../Components/Button';
import { useStyle } from './successDialog.styles';  
 
export  function SuccessDialog(props) {
  const {
    open,
    onClose,
    message,
    tokens,
    selectedProduct,
    ...otherProps
  } = props;

  const classes = useStyle();

  useEffect(() => {

    Util.fetchEnvVariables();
    // const baseURL = AppConstants.API.Base_URL;
    const baseURL = AppConstants.PIPEDREAM_CHARGE_URL;

    // const chargeData = {
    //   "price": "3.95",
    //   "currency": "INR",
    //   "payToken": `psid${tokens.paytoken}`,
    //   "hyperToken": tokens.hyperToken,
    //   "gatewayId": "5f699d4e7cb79c14747959c3",
    //   "chargeDescription": "Test description",
    //   "merchantReference": "123456789"
    // };
    // Axios({
    //   url: 'https://1yy26u32t4.execute-api.ap-southeast-1.amazonaws.com/v1/charge',
    //   method: 'post',
    //   data: chargeData,
    //   headers: {
    //     'Cache-Control': 'no-cache',
    //   }
    // })
    //   .then((response) => {
    //     console.log('charge response', response);

    //   }).catch((error) => {

    //   });
    // const hypToken = tokens ? tokens.hyperToken : "test";
    // const paytoken = tokens ? tokens.paytoken : '';
    const vault_token = tokens.vaultToken;
    const price = selectedProduct.price;
    const splitedPrice= price.split('$');
    const subscriptionData = {
      "amount": splitedPrice[1],
      "currency": "AUD",
      "customer": {
          "payment_source": {
              "vault_token": vault_token,
              "gateway_id": "5eecfd4496affd0e65c601e7"
          }
      }
  };
  //   const subscriptionData ={
  //     "price": splitedPrice[1],
  //     "currency": 'USD',
  //     "payToken": paytoken,
  //     "hyperToken": hypToken,
  //     "gatewayId": "5f699d4e7cb79c14747959c3",
  //     "chargeDescription": "Test description",
  //     "merchantReference": "123456789",
  //     "frequency": 2,
  //     "interval": "day",
  //     "startDate": "2020-10-27T04:03:00Z",
  //     "endDate": "2022-10-20T07:35:11Z"
  // };
  // const baseURL = 'https://dev-api.hyperku.com/v1/subscription';
  // const subscriptionURL = `${baseURL}/v1/subscription`;
    const subscriptionURL = baseURL;
    Axios({
      url: subscriptionURL,
      method: 'post',
      data: subscriptionData,
      headers: {
        'Cache-Control': 'no-cache',
        // 'Authorization': 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOlsiaHlwZXIiXSwiZXhwIjoxNjA1ODQxMTI3LCJpYXQiOjE2MDU1ODE5MjcsImlzcyI6Ilx1MDAzY25hbWUgb2YgbWVyY2hhbnRcdTAwM2UiLCJzdWIiOiJcdTAwM2NhcGkta2V5IG9mIG1lcmNoYW50XHUwMDNlIn0.b0sYkC62XubmS5CKBnKv0BHLZQOG_bc-XyptmQUufzM',
        // 'x-api-key': 'test_b9c7900ee5454a27a7387949351be953',
      }
    })
      .then((response) => {
        console.log('charge response', response);

      }).catch((error) => {

      })

  }, [tokens,selectedProduct]);

  return (
      <Dialog 
        open={open}
        onClose={(e) => onClose(e)}
        PaperProps={ {
          classes: {
            root: classes.dialogContainer,
          },  
        }}

        classes={{
          root: classes.root,
        }}
        {...otherProps}
      >
        <Grid
          container
          className={classes.dialogContent}
          onClick={ (e) => onClose(e)}
        >
          <Grid item className={classes.animationSpace} >
            <CompleteGif  />
          </Grid>
          
          <Grid item className={classes.textSpace}>
            <Text type={TextType.BODY} className={classes.text} >
                {message}
            </Text>
          </Grid>

          <Button
            buttonType={ButtonTypes.THIRD_PARTY}
            classes={{ root: classes.fullWidthButton } }
            onClick={(e)=>{}}
          >
            Start Streaming
          </Button>

          <Button
            buttonType={ButtonTypes.LINK_BOLD}
            classes={{ root: classes.linkButton } }
            onClick={(e)=>{}}
          >
            Share
          </Button>

          
        </Grid>
      </Dialog>
  )
}

SuccessDialog.propTypes = {
  open: PropTypes.bool,
  message: PropTypes.string,
  onClose: PropTypes.func,
  tokens: PropTypes.any,
  selectedProduct: PropTypes.any,
};

SuccessDialog.defaultProps = {
  open: false,
  message: 'Premier League monthly subscription',
  onClose:()=>{},
  tokens: {},
  selectedProduct: {},
};

export default  SuccessDialog;
 