
import {  makeStyles } from '@material-ui/core/styles';
/*
 * Remember: Mobile first.
 */ 
const styles = (theme) => ({

    root:{
        display: 'flex',
        
        [theme.breakpoints.up("md")]: {
        },

        "& .MuiDialog-container": {
            display: 'flex',
            alignItems: 'center',
            width: '100%',
            height: '100%',
            [theme.breakpoints.up("md")]: {
                alignItems: 'center',
            },
        },
    },

    dialogContainer: {
        
        margin: 0,
        
        width: '360px',
        maxWidth: '360px',
        height: '405px',
        borderRadius: '20px',

        [theme.breakpoints.up("sm")]: {
         height: '495px',
        },
    },

    dialogContent: {
        display: 'flex',
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'flex-start',
        alignContent: 'center',
        width: '100%',
        padding: '40px',
    },

    animationSpace: {
        display: 'flex',
        overflow: 'hidden',
        justifyContent: 'center',
        alignItems: 'center',
        width: '80px',
        height: '80px',
        marginTop: '20px',
    
        [theme.breakpoints.up("md")]: {
            
        },
    },
    

    textSpace: {
        marginTop: '20px',
        width: '100%',
        textAlign:'center',
    },

  
    text: {
        fontSize: '16px',
        fontWeight: 600,
    },

    fullWidthButton:{       
        width: '100%',
        marginTop: '48px',
    },

    resendOtp: {
        marginTop: '16px',
        width: '100%', 
    },
    
    linkButton: {
        width: '100%',
        marginTop: '24px',
    },


  });

export default styles;
export const useStyle = makeStyles(styles);
