import {
    loadUserAPI,
    upsertUserAPI,
    validateOTPAPI,
    getUserProfileAPI,
    authentifcateUserAPI,

    restGQLAPI,
} from './api'



export async function loadUser() {
    const response = await loadUserAPI();
    this.profile = {
        name: response.data.name,
        phone: response.data.phone,
        email: response.data.email,
        identifiedUser: true,
        lock: true,
    };
}

export async function  getUserProfile() {
    const result = await getUserProfileAPI(this.tokens.ecalToken);
    const profileData = result.data.data.getUserProfile.edges[0].node;
    this.tokens.getUserProfileToken  = profileData.hyperToken;
    const defaultPubKey = 'f9c092a633b655873824672cfb34a86d0df4399c';
    this.publicKey = profileData.publicKey ? profileData.publicKey : defaultPubKey ;
    this.profile = {   
        name: profileData.fullName,
        identifiedUser:  profileData.exists,
        lock:  profileData.exists,
        email: profileData.email,
        phone: profileData.mobile,
    };
}

export async function validateOTP(otp) {
    const result = await validateOTPAPI( otp, this.tokens.upsertToken);
    
    this.paymentOTPSuccess();
    if( result.edges && result.edges.length > 0 ) {
        this.updateValidateOTPToken(result.edges[0].node.hyperToken);
    }
  
}

export async function authenticateUser(){
    const result = await authentifcateUserAPI(this.tokens.getUserProfileToken);

    if( !result.data ) {
        return;
    }

    const data = result.data.data.authenticateUser;
    console.log("");
    console.log("");
    console.log("action.authenticateUser return with data..", data);
    if( data.edges && data.edges.length > 0 ) {
        this.authenticateUserToken = data.edges[0].node.hyperToken;
        this.authenticateUserMobile = data.edges[0].node.mobile;
        this.authenticateUserSuccess();
    }
}

export async function getUserDetails(){

}


export async  function upsertUser({ fullName, mobile, email}) {
    const result = await upsertUserAPI(fullName, mobile, email, this.tokens.getUserProfileToken);
    const updatedProfileData = result.data.data.upsertUser ? result.data.data.upsertUser.edges[0].node : '';
    this.updateUpsertToken(  updatedProfileData.hyperToken  );
}

/*
 * Will be Removed once 2-3 API Is up and running. For reference purpose only.
 */
// use only as a sample.
export async function sampleGQLUsage() {
    const result = await upsertUser('Larry David', '+6599133135', 'larry.david@gmail.com');
    this.profile = { token:  result.edges[0].node.hyperToken };
}


export async function testGQL() {
  //  const result = await testScheduleGQLAPI();
    const result = await restGQLAPI();
    console.log("GQL Result:", result );
}