import { gql } from '@apollo/client';

export function createChargeQuery(vars) {

    return{
        query: `mutation  UserProfile($input: UpsertUserInput!) {
            upsertUser( upsertUserInput:$input) {
                totalCount
                edges {
                    node {
                        hyperToken
                    }
                    cursor
                }
                pageInfo {
                    endCursor
                    hasNextPage
                }
            } 
        }
        `,
        variables: vars,
    };
}


export function subscriptionQuery(vars){
    return{
        query: `mutation  UserProfile() {
            authenticateUser() {
                totalCount
                edges {
                    node {
                        mobile 
                        hyperToken
                    }
                    cursor
                }
                pageInfo {
                    endCursor
                    hasNextPage
                }
            } 
        }
        `,
        variables: {vars},
    };
}


export default {
    createChargeQuery,
    subscriptionQuery,
};
