import { makeStyles} from '@material-ui/core/styles';

import color from '../styles/color';

/*
 * Remember: Mobile First.
 */
const styles = (theme) => ({

    inputContainer: {

        display: 'flex',
        flexDirection: 'row',
        height: '65px',
        border: '1px solid #F0F0F0',
        borderRadius: '0px',
        boxSizing: 'border-box',
        backgroundColor: color.palette.white,

        [theme.breakpoints.up("md")]: {
            borderRadius: '5px',
            height: '55px',
        },
    }, 

    MuiInputBaseRoot:{ 
        border: '0px none white',
        height: '63px',
        [theme.breakpoints.up("md")]: {
            height: '53px',
        },
    },

    MuiInputBaseInput: {
        width: '100%',
        padding : '0px',
        fontWeight:400,
        color: '#000000',
        fontSize: '13px',
        lineHeight: '19px',
        border: '0px none white',
        borderRadius: '0px',
    },


    childContainer: {
        height: '100%',
        display: 'flex',
        flexDirection: 'row',
    },

    iconContainer: {
        height: '100%',
        display: 'flex',
        alignItems: 'center',
        paddingLeft: '8px',
    },
    
    

    cardMargin: {
        marginRight: theme.spacing() * 1,
    },

    

    textInputAdornment:{
        fontSize: '20px',
        color: '#FF9900',
    },
});

export const useStyles = makeStyles(styles);
export default styles;
