
import {useState } from 'react';

function useCreditcardBehavior(data) {

    const {
        cardNumber,
        expiryDate,
        securityCode,
        onCardNumberChange,
        onDateChange,
        onSecurityCodeChange,
    } = data;

   /*
    const RegExp = {
		NUMERIC: /[0-9]/g,
		DATE: /[0-9/]/g,
    };
    */
  

    const [_cardNumber, setCardNumber] = useState (cardNumber);
    const [_expiryDate, setExpiryDate] = useState (expiryDate);
    const [_securityCode, setSecurityCode] = useState (securityCode);
    const [, setKeyPressed] = useState('');

    function handleNumberChange(e){
        setCardNumber(e.target.value)
        onCardNumberChange(e);
    }

    function handleNumberKeyPress(e) {
        
        if(_cardNumber.length >= 16) {
            e.preventDefault();
            return false;
        }

        if ( (e.which > 47 && e.which < 58) === false ) {
            e.preventDefault();
            return false;
        }
        updateKey(e.key ||  e.keyCode || e.charCode );
    }

    function handleDateChange(e){
        setExpiryDate(e.target.value);
        onDateChange(e);
    }

    function handleDateKeyPress(e) {
        if(_expiryDate.length >= 5) {
            e.preventDefault();
            return false;
        }

        if ((e.which >= 47 && e.which < 58) === false ) {
            e.preventDefault();
            return false;
        }
        updateKey(e.key ||  e.keyCode || e.charCode );
    }

    function handleCodeChange(e){
        setSecurityCode(e.target.value);
        onSecurityCodeChange(e);
    }

    function handleCodeKeyPress(e){
        if(_securityCode.length >= 3) {
            e.preventDefault();
            return false;
        }
        if ( (e.which > 47 && e.which < 58) === false ) {
            e.preventDefault();
            return false;
        }
        updateKey(e.key ||  e.keyCode || e.charCode );
    }

    function updateKey(key) {
        setKeyPressed(key)
    }

 
    return {
        handleNumberChange,
        handleNumberKeyPress,
        handleDateChange,
        handleCodeChange,
        handleDateKeyPress,
        
        handleCodeKeyPress,
        _cardNumber,
        _expiryDate,
        _securityCode,
    };
}

export default useCreditcardBehavior;