import { makeStyles } from "@material-ui/core/styles";
import color from "../styles/color";

const useStyles = makeStyles(theme => ({

  root: {
    height: "52px",
   
    textAlign: "center",
    textTransform: "none",
    boxShadow: "none",
    margin: 0,
    borderRadius: '5px',
    backgroundColor: color.buttons.primary,
    color: color.palette.white,

    fontSize: "14px",
    lineHeight: "24px",
    fontWeight: 600,

    "& .MuiButton-label": {
      marginRight: 0,
    },

    "& span": {
      fontSize: "14px",
      lineHeight: "24px",
      fontWeight: 600,
      zIndex: 2,
    },

    "& .MuiSvgIcon-root": {
      marginRight: theme.spacing(1)
    },
    "&:hover": {
      backgroundColor: color.buttons.primary,
      color: color.palette.white,
      "&$primary:disabled": {
        backgroundColor: color.buttons.primaryDisable,
      }
    },

    [theme.breakpoints.down("lg")]: {
      padding: theme.spacing(2, 1),
      "& .MuiTypography-root": {
        fontSize: "14px",
        lineHeight: "24px"
      }
    },

    [theme.breakpoints.down("md")]: {
      padding: theme.spacing(2)
    },
   
  },

  hyper: {
    backgroundColor: color.buttons.primary,
    color: color.palette.white,
   
    margin:0, 
    border: "0px none transparent",
    height: '52px',
    fontSize: "12px",
    textAlign: "center",
    textTransform: "none",
    padding: 0,
    fontWeight: 400,

    "& span": {
      justifyContent: "center"
    },

    "&:hover": {
      backgroundColor: color.buttons.primary,
      color: color.palette.white,
    },

    "&:disabled": {
      border: "1px solid",
      borderColor: color.palette.placeHolderGrey,
      color: color.palette.placeHolderGrey
    },
 
    [theme.breakpoints.down("md")]: {
      
    }
  }, 

  playerSpan: {
    display: 'block',
    position: 'absolute',
    overflow: 'hidden',
    width: '100%',
    height: '52px',
    borderRadius: '5px',
    clipPath: 'polygon(2% 2%, 98% 2%, 98% 98%, 2% 92%)',
    WebkitClipPath:  'polygon(2% 2%, 98% 2%, 98% 98%, 2% 92%)',
  },

 
  text: {
    fontSize: "14px",
    lineHeight: "24px",
    fontWeight: 600,
    zIndex: 2,
  },

  icon: {
    zIndex: 2,
  }, 

 
}));

export default useStyles;
