import { makeStyles } from "@material-ui/core/styles";
import color from "../styles/color";


const styles = (theme) => ({

    productCardRoot:{

        display: 'flex',
        flexDirection: 'row',  
        justifyContent: 'space-between',
        width: '100%',
        minHeight: '103px',
        backgroundColor: color.palette.white,
       
        padding: '16px',
        borderRadius: '10px',    
        boxShadow: '0 3px 6px rgba(0, 0, 0, 0.1)',
    
        [theme.breakpoints.up("md")]: {
            flexDirection: 'column', /* on Desktop it is column */
            borderRadius : '0px',
            boxShadow: '0 0px 0px rgba(0, 0, 0, 0.0)',
            width: '350px',
            height: '100%',
        },

        
    },

    nameRoot: {
        flexDirection: 'row',
        justifyContent: 'center', 
        minWidth: '172px',
        width: '172px',
        [theme.breakpoints.up("md")]: {
            marginBottom: '24px',
            width: '100%',
        }
    },

    name: {
        width: '100%',
        textAlign: 'left!important',
        [theme.breakpoints.up("md")]: {
            textAlign: 'center!important',
        }
    },

    details: {
        width: '100%',
        textAlign: 'left',
        [theme.breakpoints.up("md")]: {
            textAlign: 'center',
        }
    },

    price: {
        width: '100px',
        textAlign: 'center',
        [theme.breakpoints.up("md")]: {
            width: '100%',
        }
    },

    terms: {
       fontSize: '10px',
    },
    
    detailsRoot: {
        marginTop: '8px',
    },

    priceRoot: {
        display: 'flex',
        minWidth: '100px',
        marginLeft: '4px',
        width: '100px',
        flexDirection: 'column',
        justifyContent: 'center',
        alignItems: 'center',

        [theme.breakpoints.up("md")]: {
            width: '100%',
        }
    },

    recommendedBar: {
        marginTop: '8px',
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        fontWeight: 600,
        fontSize: '10px',
        minWidth: '95px', 
        height: '21px',
        lineHeight: '21px',
        borderRadius: '11px',
        backgroundColor: color.palette.greyBar,
        color: color.palette.white,
    },
});

export default styles;

export const useStyles = makeStyles(styles);
 
