import { makeStyles } from "@material-ui/core/styles";
import color from "../../hyper/styles/color";

const styles = (theme) => ({

    root:{

        display: 'flex',
        flexDirection: 'row', /* on Desktop it is column */
        width: '100%',
        backgroundColor: color.palette.white,
       
        marginTop: '24px',
        borderRadius: '10px',    

        [theme.breakpoints.up("md")]: {
            flexDirection: 'column', /* on Desktop it is column */
            borderRadius : '0px',
            boxShadow: '0 0px 0px rgba(0, 0, 0, 0.0)',
            width: '350px',
            height: '100%',
        },

    },


    moreOptionSpace: {
       
    },

    moreOptionButtonRoot: {

    },

    moreOptionIconRoot: {
        margin: 0,
        width: '10px',
    },



    contentOpen: {
        
        display: 'flex',
        height: '100px',
        overflow: 'hidden',
        marginTop: '16px',
        [theme.breakpoints.up("md")]: {
            marginTop: '20px',
        },
    },
    
    contentClose: {
        height: '0px',
        display: 'hidden',
        overflow: 'hidden',
    },


    optionList: {
        display: 'flex',
        flexDirection: 'row',
        justifyContent:'space-between',
        flexWrap: 'nowrap',
        alignContent: 'flex-start',
        width: '100%',
        height: '100%',
        [theme.breakpoints.up("md")]: {
            flexWrap: 'wrap',
            minHeight: '168px',
            flexDirection: 'row', /* on Desktop it is column */
            alignContent: 'flex-start',
        },
    },

    /* Mobile first */

    optionItemRoot: {
        minWidth: '100px !important',
        width: '100% !important',
        height: '80px !important',
        borderRadius: '6px !important',
        padding: '0 !important',
        fontSize: "14px !important",
        lineHeight: "21px !important",
        textAlign: "center !important",
        textTransform: "none !important",
        fontWeight: '600 !important',
        boxShadow: "none !important",

        [theme.breakpoints.up("md")]: {
            width: '100% !important',
            height: '50px !important',
        },
        

        backgroundColor: color.buttons.productOption + ' !important',
        color: color.buttons.productOptionLabel + ' !important',
        border: '1px solid ' + color.buttons.productOptionBoder + " !important",


        "&:hover": {
            borderColor: color.buttons.productOptionHoverBorder + ' !important',
            backgroundColor: color.buttons.productOption + ' !important',
        },
    
        "&:disabled": {
          backgroundColor: color.buttons.productOptionSelected + ' !important',
          color: color.buttons.productOptionSelectedLabel + ' !important',
          border: '0px none #FFFFFF !important',
          "&:hover": {
            backgroundColor: color.buttons.productOptionSelected + ' !important',
          }

        },

        "& .MuiButton-label": {
            display: 'flex !important',
            flexDirection: 'column  !important',
            width: '100%  !important',
            [theme.breakpoints.up("md")]: {
                flexDirection: 'row  !important',
                justifyContent: 'space-between  !important',
            },
        },
    },

    optionItemCustomType: {
        marginRight: '8px !important',
        [theme.breakpoints.up("md")]: {
            marginRight: '0px !important',
            marginBottom: '8px !important',
        },
    },

    productPrice: {
        fontWeight:700,
        fontSize:'14px',
        lineHeight: '21px',
        height: '21px',

        [theme.breakpoints.up("md")]: {
            marginRight: '16px',
            textAlign: 'right',
        },
    },


    productName: {
        fontSize:'11px',
        fontWeight:600,
        lineHeight: '14px',
        height: '14px',
       
        [theme.breakpoints.up("md")]: {
            minWidth: '150px',
            marginLeft: '16px',
            marginRight: '8px',
            textAlign: 'left',
        },
    },

    paymentTerms: {
        fontSize:'11px',
        fontWeight: 400,
        lineHeight: '14px',
        height: '14px',
        color: color.buttons.paymentTerms,

        "& *! > *! > :disabled": {
            color: color.palette.white,
        },

        [theme.breakpoints.up("md")]: {
            marginLeft: '8px',
        },
    },

   
    optionsCircle: {
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        fontWeight: 500,
        fontSize: '11px',
        width: '18px',
        height: '18px',
        borderRadius: '9px',
        backgroundColor: color.palette.blueCircle,
        color: color.palette.white,
        marginRight: '4px',
    },
    
});

export default styles;

export const useStyles = makeStyles(styles);
 
