import React from 'react';
import PropTypes from 'prop-types'; 
import { makeStyles} from '@material-ui/core/styles';
import Typography from '@material-ui/core/Typography';
import styles from './text.styles';
const useStyles = makeStyles(styles);

export const TextType = {
    BODY: 'body',
    BODY2: 'body2',
    MORE_OPTIONS: 'more_options',
    HEADING: 'heading',
    PRICE: 'price',
    SECTION_TITLE: 'section_title',
    DIALOG_TITLE: 'dialog_title',
    DIALOG_TITLE2: 'dialog_title2',
    DIALOG_MESSAGE: 'dialog_message',
    DIALOG_INSTRUCTION: "dialog_instruction",
}
function Text(props) {
    const classes = useStyles();
    const { color, type, ...otherProps } = props;
    if (type  === TextType.HEADING) {
        return (<Typography variant="h6" style={{color}}  {...otherProps} />);
    } else if (type === TextType.PRICE) {
        return  (<Typography variant="h4"  style={{color}}  {...otherProps} />);
    } else if (type === TextType.SECTION_TITLE) {
        return  (<Typography variant="h5"  style={{color}}  {...otherProps} />);
    } else if( type === TextType.MORE_OPTIONS) {
        return  (<Typography variant="body2"  style={{color}}  {...otherProps} />);
    } else if ( type === TextType.DIALOG_TITLE) {
        return  (<Typography variant="h3"  style={{color}}  {...otherProps} />);
    } else if( type === TextType.DIALOG_MESSAGE ) {
        return  (<Typography variant='body1'  className={classes.dialogMessage}  style={{color}}  {...otherProps} />);
    } else if( type === TextType.BODY2 ) {
        return  (<Typography variant='body2' style={{color}}  {...otherProps} />);
    } else if( type === TextType.DIALOG_INSTRUCTION ) {
        return  (<Typography variant='body2' className={classes.dialogInstruction}   style={{color}}  {...otherProps} />);
    }  
 
    return (
        <Typography variant="body1"  style={{color}}  {...otherProps} />
    );
}


Text.propTypes = {
    type: PropTypes.string,
    color: PropTypes.string,
};

Text.defautlProps = {
    type: TextType.BODY,
    color: 'primary',
};

export default Text;