export const brand = {
   slateBlue: '#030A31',
   primaryBlue: '#04146A',
   hyperBlue: '#00E4F2',
   hyperGreen: '#00FF94',
   electricGREEN: '#00FF75',
}

export const typography = {
    main: '#000000',
    subtext: '#515A5F',
    emptyState: '#E1E1E1',
    headings: '#777E83',
    hyperLinkBlue: '#0286FF',
    masterCard: '#F26122',
};

export const backgrounds = { 
    headings: '#030A31',
    background: '#F2F3F9',
};

export const withOpacity = (hexCode, opacity) => {
    const rgb = /^#([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(hexCode);
    if (!rgb) {
      return '';
    }
    return `rgba(${parseInt(rgb[1], 16)}, ${parseInt(rgb[2], 16)}, ${parseInt(rgb[3], 16)}, ${opacity})`;
};


export const  buttons = {
    primary: '#04146A',
    primaryHover: '#878EB3',
    primaryDisable: '#E4E4E4',
    
    secondary: '#04146A',
    secondaryHover: '#878EB3',
    secondaryDisable: '#D5D8E9',
    
    thirdParty: '#000000',
    thirdPartyHover: '#22294F',
    thirdPartyDisable: '#E4E4E4',
    thirdPartyDisableHover: '#E4E4E4',

    labelDisable: '#9A9A9A',
    labelEnable: '#FFFFFF',

    link: '#0286FF',
    moreOptions:'#3C4042',

    productOption: '#FFFFFF',
    productOptionBoder: '#EFEFEF',
    productOptionHoverBorder: '#878EB3',
    productOptionLabel: '#000000',

    productOptionSelected: '#000000',
    productOptionSelectedLabel: '#FFFFFF',

    paymentTerms: '#888888',

};

export const palette = { 
  white: '#FFFFFF',
  placeHolderGrey: '#767676',

  orange: '#FF9900',

  backgroundGrey:'#F7F7F7',
  contentBorder: '#DEDEDE',
  moreOptions:'#3C4042',
  textError: '#B2363F',

  blueCircle: '#10A7E0',
  greyBar: '#698095',
  

  cardBackground: '#040B2F',
  cardBackgroundHover: '#030A1E',

  
  addCardBackground: '#EDEDED',
  addCardBorder: '#E4E4E4',
  cardSelectionBorder: '#00FF94',

};

export default {
    brand,
    typography,
    backgrounds,
    buttons,
    palette,
};